<div class="form-group" style="display: inline-block; margin-left: 10%; vertical-align: top;">
  <h1 style="text-decoration: underline">Bonus Computation</h1>
  <div>
    <p>
      <b>Order bonus:</b>&nbsp;<span>{{ this.pageService.bonus.order_bonus }}€</span>
    </p>

    <p>
      <b>Social performance bonus:</b>&nbsp;<span>{{ this.pageService.bonus.social_performance_bonus }}€</span>
    </p>

    <hr style="border-top: 1px solid black; border-bottom: 1px solid black;">

    <p>
      <b>Total bonus:</b>&nbsp;<span>{{ this.pageService.bonus.total_bonus }}€</span>
    </p>

    <br>

    <div class="form-group">
      <label for="comment">Comment:</label>
      <textarea *ngIf="authorizationService.activeAccount.type == 'ceo'" [(ngModel)]="this.pageService.bonus.comment" class="form-control" id="comment" #comment name="comment"></textarea>
      <textarea *ngIf="authorizationService.activeAccount.type != 'ceo'" [(ngModel)]="this.pageService.bonus.comment" class="form-control" id="comment_disabled" #comment_disabled disabled name="comment_disabled"></textarea>
    </div>

  </div>

    <p>
      <button (click)="approveBonus()" *ngIf="!this.pageService.bonus.approved && this.authorizationService.activeAccount.type == 'ceo'" style="display: inline-block;" type="button" class="btn btn-success">Approve bonus</button>

      <button type="button" *ngIf="!this.pageService.bonus.approved && this.authorizationService.activeAccount.type != 'ceo'" class="btn btn-success disabled">Not approved yet</button>
      <button type="button" *ngIf="this.pageService.bonus.approved" class="btn btn-success disabled">Bonus is already approved</button>
    </p>
</div>
